#include "pscript.ch"

procedure main()

IF PSInit() == 0 

  // set imagequality PDF
  PSSetDevice(DEV_PDFFILE)
  PSSetFilename("Pdftest.pdf")
  
  PSSetImageQuality(70)
  PSSetHyperlinks(.T.) // activate hyperlinks
  
  PSBeginDoc()
  PSTextOut(10,10, "Testing imagequality of PDF the higher the bigger the PDF size will be")
  PSBitmap(40,  10,   0,   0, "\" + CurDir() + "\LOGOABEE.BMP") // Natural size
  PSBitmap(40,  50, 50,  80, "\" + CurDir() + "\LOGOABEE.BMP") // Stretch

  // activate hyperlinks
 
  PSTextOut( 60,10, "Hyperlinks testing --> https://www.pagescript32.com")  

  PsEndDoc()
 													
  // if box coordinates are 0,0,0,0 it will be invisible input file / outputfile / pfx file / pfx password / location / reason, pagenumber /coordinates box
  // if the certificate is not from a Adobe trusted SSL company it has to be approved first time in ADOBE reader to have a valid signature.
  // https://helpx.adobe.com/acrobat/using/validating-digital-signatures.html   

  PSSignPDF( 'invoice.pdf','invoice-signed.pdf','JohnDoe_passcode_is_123456.pfx','123456','City','Testing cerificate',1,  30,  1250,  1300, 180) 
    
  // .T. show printdialog, .F. will print silently toi default printer or set by PSSetPrinter
  PSPrintPDF( 'invoice.pdf',.T.)
  
  // export invoice.pdf to text file
  PSExport2Txt('invoice.pdf','out.txt') 



endif

return



